ESB-2018.0216 - [Appliance] F5 BIG-IP products: Multiple vulnerabilities 2018-01-22

Printable version
PGP/GPG verifiable version

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

===========================================================================
             AUSCERT External Security Bulletin Redistribution

                               ESB-2018.0216
        Multiple vulnerabilities in BIND affect F5 BIG-IP products
                              22 January 2018

===========================================================================

        AusCERT Security Bulletin Summary
        ---------------------------------

Product:           F5 BIG-IP products
Publisher:         F5 Networks
Operating System:  Network Appliance
Impact/Access:     Provide Misleading Information -- Remote/Unauthenticated
                   Access Confidential Data       -- Remote/Unauthenticated
Resolution:        Patch/Upgrade
CVE Names:         CVE-2017-3143 CVE-2017-3142 

Reference:         ESB-2017.2228
                   ESB-2017.1859
                   ESB-2017.1689
                   ESB-2017.1638
                   ESB-2017.1640.3

Original Bulletin: 
   https://support.f5.com/csp/article/K59448931
   https://support.f5.com/csp/article/K02230327

Comment: This bulletin contains two (2) F5 Networks security advisories.

- --------------------------BEGIN INCLUDED TEXT--------------------

K02230327: BIND vulnerability CVE-2017-3143

Security Advisory

Original Publication Date: Jul 01, 2017

Updated Date: Jan 20, 2018

Applies to (see versions):

  o Product: BIG-IQ, BIG-IQ Cloud, BIG-IQ Device, BIG-IQ Security, BIG-IQ ADC,
    BIG-IQ Centralized Management
       5.3.0, 5.2.0, 5.1.0, 5.0.0, 4.6.0, 4.5.0, 4.4.0
  o Product: BIG-IP, BIG-IP AAM, BIG-IP AFM, BIG-IP Analytics, BIG-IP APM,
    BIG-IP ASM, BIG-IP DNS, BIG-IP Edge Gateway, BIG-IP GTM, BIG-IP Link
    Controller, BIG-IP LTM, BIG-IP PEM, BIG-IP PSM, BIG-IP WebAccelerator
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o Product: Enterprise Manager
       3.1.1
  o Product: F5 iWorkflow
       2.3.0, 2.2.0, 2.1.0, 2.0.2, 2.0.1, 2.0.0
  o Product: LineRate
       2.6.1, 2.6.0, 2.5.2, 2.5.1, 2.5.0
  o Product: ARX, ARX
       6.4.0, 6.3.0, 6.2.0
  o Product: F5 WebSafe

  o Product: Traffix SDC
       5.1.0, 4.4.0, 4.0.5, 4.0.2, 4.0.0
  o Product: BIG-IQ Cloud and Orchestration
       1.0.0

Security Advisory Description

** RESERVED ** This candidate has been reserved by an organization or
individual that will use it when announcing a new security problem. When the
candidate has been publicized, the details for this candidate will be provided.
(CVE-2017-3143)

An attacker who is able to send and receive messages to an authoritative DNS
server and who has knowledge of a valid TSIG key name for the zone and service
being targeted may be able to manipulate BIND into accepting a dynamic update.

Impact

BIG-IP

An attacker may be able to manipulate the contents of a zone when the
vulnerability is exploited. For the BIG-IP system to be considered vulnerable,
it must have allowed remote update with TSIG authentication configured in BIND.
This configuration combination is not a default configuration.

F5 iWorkflow, BIG-IQ, and Enterprise Manager

There is no impact. Although the BIG-IQ and Enterprise Manager software contain
the vulnerable code, the BIG-IQ and Enterprise Manager systems do not use the
vulnerable code in a way that exposes the vulnerability in default, standard,
or recommended configurations.

Security Advisory Status

F5 Product Development has assigned ID 671498 (BIG-IP) to this vulnerability.
Additionally, BIG-IP iHealth may list Heuristic H02230327 on the Diagnostics >
Identified > High screen.

To determine if your release is known to be vulnerable, the components or
features that are affected by the vulnerability, and for information about
releases or hotfixes that address the vulnerability, refer to the following
table:

+---------------+---------------+-----------------+-----------+---------------+
|               |Versions known |Versions known to|           |Vulnerable     |
|Product        |to be          |be not vulnerable|Severity   |component or   |
|               |vulnerable     |                 |           |feature        |
+---------------+---------------+-----------------+-----------+---------------+
|               |13.0.0         |                 |           |               |
|BIG-IP LTM     |12.0.0 - 12.1.3|13.1.0           |High       |BIND           |
|               |11.4.0 - 11.6.2|11.6.3           |           |               |
|               |11.2.1         |                 |           |               |
+---------------+---------------+-----------------+-----------+---------------+
|               |13.0.0         |13.1.0           |           |               |
|BIG-IP AAM     |12.0.0 - 12.1.3|11.6.3           |High       |BIND           |
|               |11.4.0 - 11.6.2|                 |           |               |
+---------------+---------------+-----------------+-----------+---------------+
|               |13.0.0         |13.1.0           |           |               |
|BIG-IP AFM     |12.0.0 - 12.1.3|11.6.3           |High       |BIND           |
|               |11.4.0 - 11.6.2|                 |           |               |
+---------------+---------------+-----------------+-----------+---------------+
|               |13.0.0         |                 |           |               |
|BIG-IP         |12.0.0 - 12.1.3|13.1.0           |High       |BIND           |
|Analytics      |11.4.0 - 11.6.2|11.6.3           |           |               |
|               |11.2.1         |                 |           |               |
+---------------+---------------+-----------------+-----------+---------------+
|               |13.0.0         |                 |           |               |
|BIG-IP APM     |12.0.0 - 12.1.3|13.1.0           |High       |BIND           |
|               |11.4.0 - 11.6.2|11.6.3           |           |               |
|               |11.2.1         |                 |           |               |
+---------------+---------------+-----------------+-----------+---------------+
|               |13.0.0         |                 |           |               |
|BIG-IP ASM     |12.0.0 - 12.1.3|13.1.0           |High       |BIND           |
|               |11.4.0 - 11.6.2|11.6.3           |           |               |
|               |11.2.1         |                 |           |               |
+---------------+---------------+-----------------+-----------+---------------+
|BIG-IP DNS     |13.0.0         |13.1.0           |High       |BIND           |
|               |12.0.0 - 12.1.3|                 |           |               |
+---------------+---------------+-----------------+-----------+---------------+
|BIG-IP Edge    |11.2.1         |None             |High       |BIND           |
|Gateway        |               |                 |           |               |
+---------------+---------------+-----------------+-----------+---------------+
|BIG-IP GTM     |11.4.0 - 11.6.2|11.6.3           |High       |BIND           |
|               |11.2.1         |                 |           |               |
+---------------+---------------+-----------------+-----------+---------------+
|               |13.0.0         |                 |           |               |
|BIG-IP Link    |12.0.0 - 12.1.3|13.1.0           |High       |BIND           |
|Controller     |11.4.0 - 11.6.2|11.6.3           |           |               |
|               |11.2.1         |                 |           |               |
+---------------+---------------+-----------------+-----------+---------------+
|               |13.0.0         |13.1.0           |           |               |
|BIG-IP PEM     |12.0.0 - 12.1.3|11.6.3           |High       |BIND           |
|               |11.4.0 - 11.6.2|                 |           |               |
+---------------+---------------+-----------------+-----------+---------------+
|BIG-IP PSM     |11.4.0 - 11.4.1|None             |High       |BIND           |
+---------------+---------------+-----------------+-----------+---------------+
|BIG-IP         |11.2.1         |None             |High       |BIND           |
|WebAccelerator |               |                 |           |               |
+---------------+---------------+-----------------+-----------+---------------+
|               |13.0.0         |13.1.0           |           |               |
|BIG-IP WebSafe |12.0.0 - 12.1.3|11.6.3           |High       |BIND           |
|               |11.6.0 - 11.6.2|                 |           |               |
+---------------+---------------+-----------------+-----------+---------------+
|ARX            |None           |6.2.0 - 6.4.0    |Not        |None           |
|               |               |                 |vulnerable |               |
+---------------+---------------+-----------------+-----------+---------------+
|Enterprise     |               |                 |Not        |               |
|Manager        |None           |3.1.1            |vulnerable^|None           |
|               |               |                 |1          |               |
+---------------+---------------+-----------------+-----------+---------------+
|               |               |                 |Not        |               |
|BIG-IQ Cloud   |None           |4.4.0 - 4.5.0    |vulnerable^|None           |
|               |               |                 |1          |               |
+---------------+---------------+-----------------+-----------+---------------+
|               |               |                 |Not        |               |
|BIG-IQ Device  |None           |4.4.0 - 4.5.0    |vulnerable^|None           |
|               |               |                 |1          |               |
+---------------+---------------+-----------------+-----------+---------------+
|               |               |                 |Not        |               |
|BIG-IQ Security|None           |4.4.0 - 4.5.0    |vulnerable^|None           |
|               |               |                 |1          |               |
+---------------+---------------+-----------------+-----------+---------------+
|               |               |                 |Not        |               |
|BIG-IQ ADC     |None           |4.5.0            |vulnerable^|None           |
|               |               |                 |1          |               |
+---------------+---------------+-----------------+-----------+---------------+
|BIG-IQ         |               |5.0.0 - 5.3.0    |Not        |               |
|Centralized    |None           |4.6.0            |vulnerable^|None           |
|Management     |               |                 |1          |               |
+---------------+---------------+-----------------+-----------+---------------+
|BIG-IQ Cloud   |               |                 |Not        |               |
|and            |None           |1.0.0            |vulnerable^|None           |
|Orchestration  |               |                 |1          |               |
+---------------+---------------+-----------------+-----------+---------------+
|               |               |                 |Not        |               |
|F5 iWorkflow   |None           |2.0.0 - 2.3.0    |vulnerable^|None           |
|               |               |                 |1          |               |
+---------------+---------------+-----------------+-----------+---------------+
|LineRate       |None           |2.5.0 - 2.6.2    |Not        |None           |
|               |               |                 |vulnerable |               |
+---------------+---------------+-----------------+-----------+---------------+
|Traffix SDC    |None           |5.0.0 - 5.1.0    |Not        |None           |
|               |               |4.0.0 - 4.4.0    |vulnerable |               |
+---------------+---------------+-----------------+-----------+---------------+

^1 The specified products contain the affected code. However, F5 identifies the
vulnerability status as Not vulnerable because the attacker cannot exploit the
code in default, standard, or recommended configurations.

Security Advisory Recommended Actions

If you are running a version listed in the Versions known to be vulnerable
column, you can eliminate this vulnerability by upgrading to a version listed
in the Versions known to be not vulnerable column. If the table lists only an
older version than what you are currently running, or does not list a
non-vulnerable version, then no upgrade candidate currently exists.

Mitigation

BIG-IP

To mitigate this vulnerability, you can use BIND's access control lists (ACLs)
that require both address range validation and use of TSIG authentication in
parallel. For information about configuring this type of compound
authentication control, refer to the Using Access Control Lists (ACLs) with
both addresses and keys Internet Systems Consortium (ISC) article.

Note: This link takes you to a resource outside of AskF5. The third party could
remove the document without our knowledge.

Supplemental Information

  o K9970: Subscribing to email notifications regarding F5 products
  o K9957: Creating a custom RSS feed to view new and updated documents
  o K4602: Overview of the F5 security vulnerability response policy
  o K4918: Overview of the F5 critical issue hotfix policy

Applies to (see versions):

  o ARX:
       6.4.0, 6.3.0, 6.2.0
  o BIG-IP AAM:
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o BIG-IP AFM:
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o BIG-IP APM:
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o BIG-IP ASM:
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o BIG-IP Analytics:
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o BIG-IP DNS:
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o BIG-IP Edge Gateway:
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o BIG-IP GTM:
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o BIG-IP LTM:
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o BIG-IP Link Controller:
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o BIG-IP PEM:
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o BIG-IP PSM:
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o BIG-IP WebAccelerator:
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o BIG-IQ ADC:
       5.3.0, 5.2.0, 5.1.0, 5.0.0, 4.6.0, 4.5.0, 4.4.0
  o BIG-IQ Centralized Management:
       5.3.0, 5.2.0, 5.1.0, 5.0.0, 4.6.0, 4.5.0, 4.4.0
  o BIG-IQ Cloud:
       5.3.0, 5.2.0, 5.1.0, 5.0.0, 4.6.0, 4.5.0, 4.4.0
  o BIG-IQ Cloud and Orchestration:
       1.0.0
  o BIG-IQ Device:
       5.3.0, 5.2.0, 5.1.0, 5.0.0, 4.6.0, 4.5.0, 4.4.0
  o BIG-IQ Security:
       5.3.0, 5.2.0, 5.1.0, 5.0.0, 4.6.0, 4.5.0, 4.4.0
  o Enterprise Manager:
       3.1.1
  o F5 WebSafe:

  o F5 iWorkflow:
       2.0.0, 2.1.0, 2.0.1, 2.2.0, 2.0.2, 2.3.0
  o LineRate:
       2.6.0, 2.5.1, 2.6.1, 2.5.2, 2.5.0
  o Traffix SDC:
       4.0.2, 5.1.0, 4.0.0, 4.4.0, 4.0.5

- ---

K59448931: BIND vulnerability CVE-2017-3142

Security Advisory



Original Publication Date: Jul 01, 2017
Updated Date: Jan 20, 2018

Applies to (see versions):

  o Product: BIG-IQ, BIG-IQ Cloud, BIG-IQ Device, BIG-IQ Security, BIG-IQ ADC,
    BIG-IQ Centralized Management
       5.3.0, 5.2.0, 5.1.0, 5.0.0, 4.6.0, 4.5.0, 4.4.0
  o Product: BIG-IP, BIG-IP AAM, BIG-IP AFM, BIG-IP Analytics, BIG-IP APM,
    BIG-IP ASM, BIG-IP DNS, BIG-IP Edge Gateway, BIG-IP GTM, BIG-IP Link
    Controller, BIG-IP LTM, BIG-IP PEM, BIG-IP PSM, BIG-IP WebAccelerator
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o Product: Enterprise Manager
       3.1.1
  o Product: F5 iWorkflow
       2.3.0, 2.2.0, 2.1.0, 2.0.2, 2.0.1, 2.0.0
  o Product: LineRate
       2.6.1, 2.6.0, 2.5.2, 2.5.1, 2.5.0
  o Product: ARX, ARX
       6.4.0, 6.3.0, 6.2.0
  o Product: F5 WebSafe

  o Product: Traffix SDC
       5.1.0, 4.4.0, 4.0.5, 4.0.2, 4.0.0
  o Product: BIG-IQ Cloud and Orchestration
       1.0.0

Security Advisory Description

** RESERVED ** This candidate has been reserved by an organization or
individual that will use it when announcing a new security problem. When the
candidate has been publicized, the details for this candidate will be provided.
(CVE-2017-3142)

An attacker who is able to send and receive messages to an authoritative DNS
server and who has knowledge of a valid TSIG key name may be able to circumvent
TSIG authentication of AXFR requests via a carefully constructed request
packet. A server that relies solely on TSIG keys for protection with no other
ACL protection could be manipulated into:

  o providing an AXFR of a zone to an unauthorized recipient.
  o accepting bogus NOTIFY packets.

Impact

BIG-IP

An attacker may be permitted to view the entire contents of a zone when the
vulnerability is exploited. For the BIG-IP system to be considered vulnerable,
it must have the allow-transfer statement with TSIG authentication configured
in BIND. This configuration combination is not a default configuration.

F5 iWorkflow, BIG-IQ, and Enterprise Manager

There is no impact. Although the BIG-IQ and Enterprise Manager software contain
the vulnerable code, the BIG-IQ and Enterprise Manager systems do not use the
vulnerable code in a way that exposes the vulnerability in default, standard,
or recommended configurations.

Security Advisory Status

F5 Product Development has assigned ID 671497 (BIG-IP) to this vulnerability.
Additionally, BIG-IP iHealth may list Heuristic H59448931 on the Diagnostics >
Identified > Medium screen.

To determine if your release is known to be vulnerable, the components or
features that are affected by the vulnerability, and for information about
releases or hotfixes that address the vulnerability, refer to the following
table:

+---------------+---------------+-----------------+-----------+---------------+
|               |Versions known |Versions known to|           |Vulnerable     |
|Product        |to be          |be not vulnerable|Severity   |component or   |
|               |vulnerable     |                 |           |feature        |
+---------------+---------------+-----------------+-----------+---------------+
|               |13.0.0         |                 |           |               |
|BIG-IP LTM     |12.0.0 - 12.1.3|13.1.0           |Medium     |BIND           |
|               |11.4.0 - 11.6.2|11.6.3           |           |               |
|               |11.2.1         |                 |           |               |
+---------------+---------------+-----------------+-----------+---------------+
|               |13.0.0         |13.1.0           |           |               |
|BIG-IP AAM     |12.0.0 - 12.1.3|11.6.3           |Medium     |BIND           |
|               |11.4.0 - 11.6.2|                 |           |               |
+---------------+---------------+-----------------+-----------+---------------+
|               |13.0.0         |13.1.0           |           |               |
|BIG-IP AFM     |12.0.0 - 12.1.3|11.6.3           |Medium     |BIND           |
|               |11.4.0 - 11.6.2|                 |           |               |
+---------------+---------------+-----------------+-----------+---------------+
|               |13.0.0         |                 |           |               |
|BIG-IP         |12.0.0 - 12.1.3|13.1.0           |Medium     |BIND           |
|Analytics      |11.4.0 - 11.6.2|11.6.3           |           |               |
|               |11.2.1         |                 |           |               |
+---------------+---------------+-----------------+-----------+---------------+
|               |13.0.0         |                 |           |               |
|BIG-IP APM     |12.0.0 - 12.1.3|13.1.0           |Medium     |BIND           |
|               |11.4.0 - 11.6.2|11.6.3           |           |               |
|               |11.2.1         |                 |           |               |
+---------------+---------------+-----------------+-----------+---------------+
|               |13.0.0         |                 |           |               |
|BIG-IP ASM     |12.0.0 - 12.1.3|13.1.0           |Medium     |BIND           |
|               |11.4.0 - 11.6.2|11.6.3           |           |               |
|               |11.2.1         |                 |           |               |
+---------------+---------------+-----------------+-----------+---------------+
|BIG-IP DNS     |13.0.0         |13.1.0           |Medium     |BIND           |
|               |12.0.0 - 12.1.3|                 |           |               |
+---------------+---------------+-----------------+-----------+---------------+
|BIG-IP Edge    |11.2.1         |None             |Medium     |BIND           |
|Gateway        |               |                 |           |               |
+---------------+---------------+-----------------+-----------+---------------+
|BIG-IP GTM     |11.4.0 - 11.6.2|11.6.3           |Medium     |BIND           |
|               |11.2.1         |                 |           |               |
+---------------+---------------+-----------------+-----------+---------------+
|               |13.0.0         |                 |           |               |
|BIG-IP Link    |12.0.0 - 12.1.3|13.1.0           |Medium     |BIND           |
|Controller     |11.4.0 - 11.6.2|11.6.3           |           |               |
|               |11.2.1         |                 |           |               |
+---------------+---------------+-----------------+-----------+---------------+
|               |13.0.0         |13.1.0           |           |               |
|BIG-IP PEM     |12.0.0 - 12.1.3|11.6.3           |Medium     |BIND           |
|               |11.4.0 - 11.6.2|                 |           |               |
+---------------+---------------+-----------------+-----------+---------------+
|BIG-IP PSM     |11.4.0 - 11.4.1|None             |Medium     |BIND           |
+---------------+---------------+-----------------+-----------+---------------+
|BIG-IP         |11.2.1         |None             |Medium     |BIND           |
|WebAccelerator |               |                 |           |               |
+---------------+---------------+-----------------+-----------+---------------+
|               |13.0.0         |13.1.0           |           |               |
|BIG-IP WebSafe |12.0.0 - 12.1.3|11.6.3           |Medium     |BIND           |
|               |11.6.0 - 11.6.2|                 |           |               |
+---------------+---------------+-----------------+-----------+---------------+
|ARX            |None           |6.2.0 - 6.4.0    |Not        |None           |
|               |               |                 |vulnerable |               |
+---------------+---------------+-----------------+-----------+---------------+
|Enterprise     |               |                 |Not        |               |
|Manager        |None           |3.1.1            |vulnerable^|None           |
|               |               |                 |1          |               |
+---------------+---------------+-----------------+-----------+---------------+
|               |               |                 |Not        |               |
|BIG-IQ Cloud   |None           |4.4.0 - 4.5.0    |vulnerable^|None           |
|               |               |                 |1          |               |
+---------------+---------------+-----------------+-----------+---------------+
|               |               |                 |Not        |               |
|BIG-IQ Device  |None           |4.4.0 - 4.5.0    |vulnerable^|None           |
|               |               |                 |1          |               |
+---------------+---------------+-----------------+-----------+---------------+
|               |               |                 |Not        |               |
|BIG-IQ Security|None           |4.4.0 - 4.5.0    |vulnerable^|None           |
|               |               |                 |1          |               |
+---------------+---------------+-----------------+-----------+---------------+
|               |               |                 |Not        |               |
|BIG-IQ ADC     |None           |4.5.0            |vulnerable^|None           |
|               |               |                 |1          |               |
+---------------+---------------+-----------------+-----------+---------------+
|BIG-IQ         |               |5.0.0 - 5.3.0    |Not        |               |
|Centralized    |None           |4.6.0            |vulnerable^|None           |
|Management     |               |                 |1          |               |
+---------------+---------------+-----------------+-----------+---------------+
|BIG-IQ Cloud   |               |                 |Not        |               |
|and            |None           |1.0.0            |vulnerable^|None           |
|Orchestration  |               |                 |1          |               |
+---------------+---------------+-----------------+-----------+---------------+
|               |               |                 |Not        |               |
|F5 iWorkflow   |None           |2.0.0 - 2.3.0    |vulnerable^|None           |
|               |               |                 |1          |               |
+---------------+---------------+-----------------+-----------+---------------+
|LineRate       |None           |2.5.0 - 2.6.2    |Not        |None           |
|               |               |                 |vulnerable |               |
+---------------+---------------+-----------------+-----------+---------------+
|Traffix SDC    |None           |5.0.0 - 5.1.0    |Not        |None           |
|               |               |4.0.0 - 4.4.0    |vulnerable |               |
+---------------+---------------+-----------------+-----------+---------------+

^1 The specified products contain the affected code. However, F5 identifies the
vulnerability status as Not vulnerable because the attacker cannot exploit the
code in default, standard, or recommended configurations.

Security Advisory Recommended Actions

If you are running a version listed in the Versions known to be vulnerable
column, you can eliminate this vulnerability by upgrading to a version listed
in the Versions known to be not vulnerable column. If the table lists only an
older version than what you are currently running, or does not list a
non-vulnerable version, then no upgrade candidate currently exists.

Mitigation

BIG-IP

To mitigate this vulnerability, you can use BIND's access control lists (ACLs)
that require both address range validation and use of TSIG authentication in
parallel. For information about configuring this type of compound
authentication control, refer to the Using Access Control Lists (ACLs) with
both addresses and keys Internet Systems Consortium (ISC) article.

Note: This link takes you to a resource outside of AskF5. The third party could
remove the document without our knowledge.

Supplemental Information

  o K9970: Subscribing to email notifications regarding F5 products
  o K9957: Creating a custom RSS feed to view new and updated documents
  o K4602: Overview of the F5 security vulnerability response policy
  o K4918: Overview of the F5 critical issue hotfix policy

Applies to (see versions):

  o ARX:
       6.4.0, 6.3.0, 6.2.0
  o BIG-IP AAM:
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o BIG-IP AFM:
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o BIG-IP APM:
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o BIG-IP ASM:
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o BIG-IP Analytics:
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o BIG-IP DNS:
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o BIG-IP Edge Gateway:
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o BIG-IP GTM:
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o BIG-IP LTM:
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o BIG-IP Link Controller:
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o BIG-IP PEM:
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o BIG-IP PSM:
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o BIG-IP WebAccelerator:
       13.1.0, 13.0.0, 12.1.3, 12.1.2, 12.1.1, 12.1.0, 12.0.0, 11.6.3, 11.6.2,
        11.6.1, 11.6.0, 11.5.5, 11.5.4, 11.5.3, 11.5.2, 11.5.1, 11.5.0, 11.4.1,
        11.4.0, 11.3.0, 11.2.1
  o BIG-IQ ADC:
       5.3.0, 5.2.0, 5.1.0, 5.0.0, 4.6.0, 4.5.0, 4.4.0
  o BIG-IQ Centralized Management:
       5.3.0, 5.2.0, 5.1.0, 5.0.0, 4.6.0, 4.5.0, 4.4.0
  o BIG-IQ Cloud:
       5.3.0, 5.2.0, 5.1.0, 5.0.0, 4.6.0, 4.5.0, 4.4.0
  o BIG-IQ Cloud and Orchestration:
       1.0.0
  o BIG-IQ Device:
       5.3.0, 5.2.0, 5.1.0, 5.0.0, 4.6.0, 4.5.0, 4.4.0
  o BIG-IQ Security:
       5.3.0, 5.2.0, 5.1.0, 5.0.0, 4.6.0, 4.5.0, 4.4.0
  o Enterprise Manager:
       3.1.1
  o F5 WebSafe:

  o F5 iWorkflow:
       2.0.0, 2.1.0, 2.0.1, 2.2.0, 2.0.2, 2.3.0
  o LineRate:
       2.6.0, 2.5.1, 2.6.1, 2.5.2, 2.5.0
  o Traffix SDC:
       4.0.2, 5.1.0, 4.0.0, 4.4.0, 4.0.5

- --------------------------END INCLUDED TEXT--------------------

You have received this e-mail bulletin as a result of your organisation's
registration with AusCERT. The mailing list you are subscribed to is
maintained within your organisation, so if you do not wish to continue
receiving these bulletins you should contact your local IT manager. If
you do not know who that is, please send an email to auscert@auscert.org.au
and we will forward your request to the appropriate person.

NOTE: Third Party Rights
This security bulletin is provided as a service to AusCERT's members.  As
AusCERT did not write the document quoted above, AusCERT has had no control
over its content. The decision to follow or act on information or advice
contained in this security bulletin is the responsibility of each user or
organisation, and should be considered in accordance with your organisation's
site policies and procedures. AusCERT takes no responsibility for consequences
which may arise from following or acting on information or advice contained in
this security bulletin.

NOTE: This is only the original release of the security bulletin.  It may
not be updated when updates to the original are made.  If downloading at
a later date, it is recommended that the bulletin is retrieved directly
from the author's website to ensure that the information is still current.

Contact information for the authors of the original document is included
in the Security Bulletin above.  If you have any questions or need further
information, please contact them directly.

Previous advisories and external security bulletins can be retrieved from:

        https://www.auscert.org.au/bulletins/

===========================================================================
Australian Computer Emergency Response Team
The University of Queensland
Brisbane
Qld 4072

Internet Email: auscert@auscert.org.au
Facsimile:      (07) 3365 7031
Telephone:      (07) 3365 4417 (International: +61 7 3365 4417)
                AusCERT personnel answer during Queensland business hours
                which are GMT+10:00 (AEST).
                On call after hours for member emergencies only.
===========================================================================
-----BEGIN PGP SIGNATURE-----
Comment: http://www.auscert.org.au/render.html?it=1967

iQIVAwUBWmUvuox+lLeg9Ub1AQi0VA//VyfnoJPb9XjtyhbzPEuc+0nzVh5UMHDs
QqMjeR3zaJh+0JCyq1KcVZfpsrSqrvTH34jOOUyks5mafZNA7BzqaulvZ/VTymhF
N5+blAsb0jn0lEitoTSgWQDJ9wGMsekh62RQarbN6NV5JRhqn9Ai2JrPvQZyiYEG
og/vXWqWYejjXDTt8VdqiSNQICrZD9553OgRpUS4O6g4sslOee+7wARFSlDvpIgz
HmFznZoaUPzgDTmd+MLnB9a6dSOTOZ9GEtU4YnQoRpFeF8BCrndRZlxUHoNJ/oHQ
Nu8mptMPtlgAVn0K1GLVefpA1+GoVKydyHcLkDRqwPzCsXvZythxhh257P28yauI
vYtdmzrWIf7+ycE1xrt38/L2wgv1UpGGxj0FXU8riTh3kREzAYFulPl2bDXQIWA3
j07+qdaEnDJbasCm10qVMKZnotQBZwXWre9IPzXTjEgXeQXlcTXaZ+QWI3dlBvdP
OSFUsHauLAatxpkTskomdsHq773R+yD9u9EFXh4AftMLXIrSO48hdj96g+mJ5ieT
ylAs1S56AcXepL2GqpqXUNsmUDXKJkQ8q3Ye1zLbyIOpqOqNcWbD3PBd1Ixg6wM9
IcFjWduzN6wjxaajLbh3IKLf6Wa3gUqt3fItBFzd5s/V0l/AqE7zUG60+ZiC9TxR
s4KLvdZl8hE=
=Wrq3
-----END PGP SIGNATURE-----

« Back to bulletins